from dataclasses import dataclass
from typing import Literal


@dataclass
class Acquisition:
    """
    Dataclass containing information about one acquisisition
    """

    type: (
        Literal["reference"] | Literal["excited"]
    )  # type of acquisition
    name: str  # name of this acquisition
    time: int  # in GPS time
    duration: int  # in second
    frequency: (
        float  # frequency of the signal injected on the bench in Hz
    )
    amplitude: float  # amplitude of the signal injected on the bench in unknown unit
